<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:xalan-rd="http://xml.apache.org/xalan/org.apache.xalan.lib.Redirect"
   xmlns:saxon="http://icl.com/saxon"
   extension-element-prefixes="xalan-rd saxon"
>

<xsl:output method="xml"/>

<xsl:template match="plays">
<xsl:copy>
<xsl:apply-templates/>
</xsl:copy>
</xsl:template>

<xsl:template match="play">
<xsl:variable name="play" select="document(@href)"/>
<xsl:if test="not($play)">
<xsl:message>Cannot find document <xsl:value-of select="@href"/></xsl:message>
</xsl:if>
<play href="compact/{@href}"/>
<xsl:choose>
<xsl:when test="element-available('saxon:output')">
  <xsl:message>Outputing to compact/<xsl:value-of select="@href"/></xsl:message>
  <saxon:output href="compact/{@href}">
  <xsl:apply-templates select="$play"/>
  </saxon:output>
</xsl:when>
<xsl:when test="element-available('xalan-rd:write')">
  <xsl:message>Outputing to compact/<xsl:value-of select="@href"/></xsl:message>
  <xalan-rd:write file="compact/{@href}">
  <xsl:apply-templates select="$play"/>
  </xalan-rd:write>
</xsl:when>
<xsl:otherwise>
<xsl:message terminate='yes'>No support for multiple output documents.</xsl:message>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="ACT">
<xsl:variable name="fname"><xsl:value-of select="translate(preceding-sibling::PLAYSUBT,' ','_')"/>_<xsl:number count="ACT" level="single" format="1"/>.xml</xsl:variable>
<ACT HREF="{$fname}"/>
<xsl:choose>
<xsl:when test="element-available('saxon:output')">
  <saxon:output href="compact/{$fname}">
  <xsl:copy>
  <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
  </saxon:output>
</xsl:when>
<xsl:when test="element-available('xalan-rd:write')">
  <xalan-rd:write file="compact/{$fname}">
  <xsl:copy>
  <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
  </xalan-rd:write>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

</xsl:transform>
